Topic
5 replies Latest Post - ‏2014-03-03T20:22:54Z by FXPanaget
dqlevitt1
dqlevitt1
3 Posts
ACCEPTED ANSWER

Pinned topic Unable to import Activation Kit for RAD8.0.4

‏2014-02-23T22:27:14Z |

I've downloaded and installed the trial version of RAD8.0.4.  My company has purchased a license for this software and I am trying to apply the Activation Kit to make this a permanent installation.  However, when I import the Activation Kit using IIM, it is giving me this error:

This license file does not apply to package IBM Rational Application Developer Standard Edition for WebSphere Software.

RAD80lic.jar (in the Activation Kit) contains repository.xml which has:

<?xml version="1.0" encoding="UTF-8" ?>

  <?repositoryDigest version='0.0.1'?>
- <repositoryDigest>
- <repository>
  <property name="LayoutPolicy" value="P1" />
  <property name="LayoutPolicyVersion" value="0.0.0.1" />
- <offering id="com.ibm.rational. application.developer.v80.pek. offering" version="8.0.1.20100715_1556">
  <property name="offering.type" value="pek" />
  <property name="default.profile" value="" />
  <property name="default.user.profile" value="" />
  <property name="vendor.name" value="IBM" />
  <property name="offering.service. repositories" value="" />
  <property name="offering.RequiresAdmin" value="false" />
  <property name="OfferingReference. LicensesKinds" value="perm" />
  <property name="OfferingReference. enablement.lum.id" value="11" />
  <property name="OfferingReference. enablement.lum.version" value="8.0.0" />
  <file name="Offerings/com.ibm. rational.application. developer.v80.pek.offering_8. 0.1.20100715_1556.offering" />
  </offering>
  </repository>
  </repositoryDigest>

 

Why am I having this problem with this Activation Kit?

 

 

  • kksingh
    kksingh
    32 Posts
    ACCEPTED ANSWER

    Re: Unable to import Activation Kit for RAD8.0.4

    ‏2014-02-24T09:11:57Z  in response to dqlevitt1

    Hi,

    This can happen in one of the two situations:

    1. You have installed RAD and trying to apply licenses of RAD for Websphere

    2. You have installed RAD for Websphere and trying to apply licenses of RAD

    I would recommend to to the following:

    If your licenses provided for RAD belong to RAD for websphere please uninstall current RAD and download RAD for websphere software from the passport advantage site and install the same. Once done try applying the licenses.

    Regards,

     

  • FXPanaget
    FXPanaget
    22 Posts
    ACCEPTED ANSWER

    Re: Unable to import Activation Kit for RAD8.0.4

    ‏2014-02-24T09:50:33Z  in response to dqlevitt1

    Hi

    The problem your are facing is definitely due to the fact that you Activation Kit is for IBM Rational Application Developer for WebSphere while you installation is for IBM Rational Application Developer Standard Edition for WebSphere Software.

    The two offerings are different. The activation kits are not compatible.

    You need to get a activation kit for IBM Rational Application Developer Standard Edition for WebSphere Software (com.ibm.rational.application.developer.se) or uninstall IBM Rational Application Developer Standard Edition for WebSphere Software and install IBM Rational Application for WebSphere Software instead so you can apply your existing activation kit (RAD80lic.jar)

    Regards,
    François

    • dqlevitt1
      dqlevitt1
      3 Posts
      ACCEPTED ANSWER

      Re: Unable to import Activation Kit for RAD8.0.4

      ‏2014-02-24T14:56:13Z  in response to FXPanaget

      Thanks for the clarification.  It looks like I'll need to go with the 2nd option:

      ...uninstall IBM Rational Application Developer Standard Edition for WebSphere Software and install IBM Rational Application for WebSphere Software instead so you can apply your existing activation kit (RAD80lic.jar)

      I'm having trouble finding a site from which to download a trial of IBM Rational Application for WebSphere Software (V8, or 8.0.2, or 8.04) - that is, not the Standard Edition.   Any suggestions?

      Thanks,

      Dave

      • kksingh
        kksingh
        32 Posts
        ACCEPTED ANSWER

        Re: Unable to import Activation Kit for RAD8.0.4

        ‏2014-03-03T16:44:06Z  in response to dqlevitt1

        Hi,

        I would recommend you downloading the software from the Passport advantage site.

        http://www-01.ibm.com/software/lotus/passportadvantage/pao_customer.html

        Regards,

         

      • FXPanaget
        FXPanaget
        22 Posts
        ACCEPTED ANSWER

        Re: Unable to import Activation Kit for RAD8.0.4

        ‏2014-03-03T20:22:54Z  in response to dqlevitt1

        Hi Dave,

        It might be difficult to get a trial of 8.0.x as the current version we are now is 9.0.x. As you normally evaluate the latest version, the trilal is likely going to be only for version 9.0. Therefore the Passport Advantage route should probably be the one to go for.

        Regards,
        Francois